<?php

namespace App\Http\Controllers;
use App\Models\Product;
use App\Models\Supplier;
use Illuminate\Http\Request;

class ProductController extends Controller
{
  public function index()
  {
    $products = Product::with('supplier')->get();
    $suppliers = Supplier::all();
    return view('products.index', compact('products', 'suppliers'));
  }

  public function supplyForm()
  {
    $products = Product::all();
    return view('products.supply', compact('products'));
  }

  public function supply(Request $request)
  {
    $product = Product::find($request->product_id);
    $product->quantity += $request->quantity;
    $product->save();
    return redirect('/')
      ->with('success', 'Le stock a été réapprovisionné avec succès.');
  }

  public function sellForm()
  {
    $products = Product::all();
    return view('products.sell', compact('products'));
  }

  public function sell(Request $request)
  {
    $product = Product::find($request->product_id);
    if ($request->quantity > $product->quantity) {
      return redirect('/products/sell')
        ->with('error', 'La quantité demandée est supérieure à la quantité en stock. Il n\'y a que ' . $product->quantity . ' unités en stock.');
    }
    $product->quantity -= $request->quantity;
    $product->save();
    return redirect('/')
      ->with('success', 'La vente a été réalisée avec succès.');
  }
}
