<!DOCTYPE html>
<html>
<head>
  <title>Gestion de stock</title>
  <style>
    h1 {
      text-align: center;
    }
    a {
      text-decoration: none;
      color: rgb(0, 0, 238);
    }
    table {
      border-collapse: collapse;
      width: 100%;
    }
    th, td {
      border: 1px solid black;
      padding: 8px;
      text-align: left;
    }
    th {
      background-color: #f2f2f2;
    }
    .buttons_section{
      display: flex;
      justify-content: center;
      gap: 3em;
    }
    .button {
      display: inline-block;
      padding: 10px 20px;
      font-size: 16px;
      font-weight: bold;
      text-align: center;
      text-decoration: none;
      color: white;
      background-color: green;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }
    .button:hover {
      background-color: darkgreen;
    }
  </style>
</head>
<body>
  <h1>Gestion de stock</h1>
  @if(session('success'))
    <div style="color: green;">
      {{ session('success') }}
    </div>
  @endif
  <div class="buttons_section">
    <p><a class="button" href="{{ url('/products/supply') }}">Approvisionner un produit</a></p>
    <p><a class="button" href="{{ url('/products/sell') }}">Vendre un produit</a></p>
  </div>
  <h2>Produits en Stock</h2>
  <table>
    <thead>
      <tr>
        <th>Nom du Produit</th>
        <th>Fournisseur</th>
        <th>Description</th>
        <th>Quantité</th>
        <th>Prix (€)</th>
      </tr>
    </thead>
    <tbody>
    @foreach ($products as $product)
      <tr>
        <td>{{ $product->name }}</td>
        <td><a href="{{ url('/suppliers/' . $product->supplier->id) }}">{{ $product->supplier->name }}</a></td>
        <td>{{ $product->description }}</td>
        <td>{{ $product->quantity }}</td>
        <td>{{ $product->price }}</td>
      </tr>
    @endforeach
    </tbody>
  </table>
  <h2>Fournisseurs</h2>
  <table>
    <thead>
      <tr>
        <th>Nom du Fournisseur</th>
        <th>Adresse</th>
        <th>Site Web</th>
        <th>Produits</th>
      </tr>
    </thead>
    <tbody>
      @foreach ($suppliers as $supplier)
        <tr>
          <td>{{ $supplier->name }}</td>
          <td>{{ $supplier->address }}</td>
          <td><a href="{{ $supplier->website }}" target="_blank">{{ $supplier->website }}</a></td>
          <td><a href="{{ url('/suppliers/' . $supplier->id) }}">Voir les produits</a></td>
        </tr>
      @endforeach
    </tbody>
  </table>
</body>
</html>
