<!DOCTYPE html>
<html>
<head>
  <title>Vendre un Produit</title>
  <style>
    h1 {
      text-align: center;
    }
    a {
      text-decoration: none;
      color: #8A2BE2;
    }
    .button {
      display: inline-block;
      margin-top: 20px;
      padding: 10px 20px;
      font-size: 16px;
      font-weight: bold;
      text-align: center;
      text-decoration: none;
      color: white;
      background-color: #8A2BE2;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }
  </style>
</head>
<body>
  <h1>Vendre un Produit</h1>
  @if(session('error'))
    <div style="color: red;">
        {{ session('error') }}
    </div>
  @endif
  @if(session('success'))
    <div style="color: green;">
        {{ session('success') }}
    </div>
  @endif
  <form action="/products/sell" method="POST">
    @csrf
    <label for="product_id">Produit :</label>
    <select name="product_id">
      @foreach ($products as $product)
          <option value="{{ $product->id }}">{{ $product->name }}</option>
      @endforeach
    </select>
    <label for="quantity">Quantité :</label>
    <input type="number" name="quantity" min="1" required>
    <button type="submit">Vendre</button>
  </form>
  <p><a class="button" href="{{ url('/') }}">Retour à l'accueil</a></p>
</body>
</html>
