<!DOCTYPE html>
<html>
<head>
  <title>Détails du Fournisseur</title>
  <style>
    table {
      width: 100%;
      border-collapse: collapse;
    }
    th, td {
      border: 1px solid black;
      padding: 8px;
      text-align: left;
    }
    th {
      background-color: #f2f2f2;
    }
    .button {
      display: inline-block;
      margin-top: 20px;
      padding: 10px 20px;
      font-size: 16px;
      font-weight: bold;
      text-align: center;
      text-decoration: none;
      color: white;
      background-color: #8A2BE2;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }
  </style>
</head>
<body>
  <h1>{{ $supplier->name }}</h1>
  <p>Adresse : {{ $supplier->address }}</p>
  <p><a href="{{ $supplier->website }}" target="_blank">{{ $supplier->website }}</a></p>
  <h2>Produits :</h2>
  <table>
    <thead>
      <tr>
        <th>Nom du Produit</th>
        <th>Description</th>
        <th>Quantité</th>
        <th>Prix (€)</th>
      </tr>
      </thead>
      <tbody>
        @foreach ($products as $product)
          <tr>
            <td>{{ $product->name }}</td>
            <td>{{ $product->description }}</td>
            <td>{{ $product->quantity }}</td>
            <td>{{ $product->price }}</td>
          </tr>
        @endforeach
      </tbody>
  </table>
  <p><a class="button" href="{{ url('/') }}">Retour à l'accueil</a></p>
</body>
</html>
